import request from '@/config/axios'

export const getPage = async (params: PageParam) => {
  return await request.get({ url: '/model/mpk/project/page', params })
}

export const getProject = async (id: number) => {
  return await request.get({ url: '/model/mpk/project/' + id })
}

export const createProject = async (data) => {
  return await request.post({ url: '/model/mpk/project', data: data })
}

export const updateProject = async (params) => {
  return await request.put({ url: '/model/mpk/project', data: params })
}

export const deleteProject = async (id: number) => {
  return await request.delete({ url: '/model/mpk/project?id=' + id })
}

export const packageProject = (params) => {
  return request.download({ url: '/model/mpk/file/packageModel', params })
}

export const list = () => {
  return request.get({ url: '/model/mpk/project/list'})
}

export const getProjectModel = async (params: PageParam) => {
  return await request.get({ url: '/model/mpk/project/getProjectModel', params })
}
